kdm is restarted during the upgrade to Natty . The user is disconnected from the session

Bug #744944 reported by Jean-Baptiste Lallement on 2011-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eglibc (Ubuntu)
Critical
Steve Langasek
Natty
Critical
Steve Langasek
pam (Ubuntu)
Critical
Steve Langasek
Natty
Critical
Steve Langasek

Bug Description

Binary package hint: update-manager

ISO Testing Kubuntu Desktop i386/amd64 upgrade

kdm is restarted when it is installed killing the upgrade

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: update-manager (not installed)
ProcVersionSignature: Ubuntu 2.6.35-28.49-generic 2.6.35.11
Uname: Linux 2.6.35-28-generic i686
Architecture: i386
Date: Tue Mar 29 15:15:45 2011
InstallationMedia: Kubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager

summary: - kubuntu desktop i386 failed to upgrade from maverick to natty
+ kubuntu desktop failed to upgrade from maverick to natty - kdm is
+ restarted in the middle of the upgrade
description: updated
Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :
affects: update-manager (Ubuntu) → kdebase-workspace (Ubuntu)
summary: - kubuntu desktop failed to upgrade from maverick to natty - kdm is
- restarted in the middle of the upgrade
+ kdm is restarted the upgrade to . The user is disconnected from the
+ session
Changed in kdebase-workspace (Ubuntu Natty):
importance: Undecided → Critical
tags: added: iso-testing
summary: - kdm is restarted the upgrade to . The user is disconnected from the
- session
+ kdm is restarted during the upgrade to Natty . The user is disconnected
+ from the session
Jonathan Riddell (jr) on 2011-03-29
Changed in kdebase-workspace (Ubuntu Natty):
milestone: none → ubuntu-11.04-beta-1
tags: added: kubuntu
Jonathan Thomas (echidnaman) wrote :

This is caused by the PAM service restart trigger. (A debconf prompt I think)

Jonathan Riddell (jr) on 2011-03-29
Changed in kdebase-workspace (Ubuntu Natty):
status: New → Confirmed
Scott Kitterman (kitterman) wrote :

No debconf prompt presented for PAM or the libc6 service restart. The upgrade continues in background, but there's no way to control it.

Steve Langasek (vorlon) on 2011-03-29
affects: kdebase-workspace (Ubuntu Natty) → pam (Ubuntu Natty)
Changed in pam (Ubuntu Natty):
assignee: nobody → Steve Langasek (vorlon)
Scott Kitterman (kitterman) wrote :

As discussed on IRC, we want this for beta 1 for upgraders, but there's no need to worry about getting it on the images.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 1.1.2-2ubuntu6

---------------
pam (1.1.2-2ubuntu6) natty; urgency=low

  * debian/libpam0g.postinst: according to Kubuntu developers, kdm no longer
    keeps libpam loaded persistently at runtime, so it's not necessary to
    force a kdm restart on ABI bump. Which is good, since restarting kdm
    now seems to also log users out of running sessions, which we rather
    want to avoid. LP: #744944.
 -- Steve Langasek <email address hidden> Tue, 29 Mar 2011 13:16:26 -0700

Changed in pam (Ubuntu Natty):
status: Confirmed → Fix Released
Steve Langasek (vorlon) wrote :

Same issue applies also to the libc preinst upgrade restart check. It's not clear if kdm needs to be restarted when the NSS ABI changes; as a stopgap for beta, we can avoid restarting kdm on upgrade.

Changed in eglibc (Ubuntu Natty):
status: New → Triaged
importance: Undecided → Critical
milestone: none → ubuntu-11.04-beta-1
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2011-03-30
Changed in eglibc (Ubuntu Natty):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eglibc - 2.13-0ubuntu11

---------------
eglibc (2.13-0ubuntu11) natty; urgency=low

  * debian/rules.d/build.mk: when building 32-bit biarch libraries for
    64-bit archs, ship an /etc/ld.so.conf/biarch.conf config snippet adding
    /lib32,/usr/lib32 to the path; these are already included in the path
    for the biarch build itself, but the biarch ld.so may be Replaced: by
    the multiarch libc which does not have built-in support for these
    non-standard paths.
  * debian/rules.d/debhelper.mk: the ld.so.conf snippet isn't included in
    all of the alternate libc builds, only in libc6-i386 and libc6-powerpc;
    so we add this by hand to the dh_install invocation for these packages.
    LP: #741949.
  * debian/debhelper.in/libc.preinst: don't restart kdm on upgrade. It may
    no longer be required, and in any case the restart will break running
    sessions so we want to avoid this for beta1. LP: #744944.

eglibc (2.13-0ubuntu10) natty; urgency=low

  * Provide compatibility symlinks for .o files in /usr/lib. LP: #744908.
  * debian/control.in/libc: Remove the Multi-Arch: same attribute.
 -- Steve Langasek <email address hidden> Tue, 29 Mar 2011 23:15:42 -0700

Changed in eglibc (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers